Subject: Re: [PATCH] Add support for parallel HTTP transfers

From: Nick Hengeveld <[email-masked]>
Date: Fri, 7 Oct 2005 10:22:06 -0700

On Fri, Oct 07, 2005 at 10:01:33AM -0700, Junio C Hamano wrote:

> The check was added in 029f6de377c7e0484f5c4cf070934599580f1784
> because back then calling fetch() on an object that we already
> had had a funny interaction with what http-fetch.c did.  I
> suspect that Nick's curl-multi changes made it unnecessary, but
> you should double check for other transports.

I think the only downside to leaving that check in place is that when
pull() finishes there may be completed requests left behind in the
queue, possibly with unreported transfer errors.  Would it make sense
to just release any requests left in the queue after pull(), and report
if any of them had transfer errors?

-- 
For a successful technology, reality must take precedence over public
relations, for nature cannot be fooled.